arch1_simulate.garch(model=list(a=1.5, arch=0.4),n=1000,n.start=300,rseed=1996126)
rho_acf(arch1$et, lag=30)
rho2_acf(arch1$et*arch1$et, lag=30)

ps.options(horizontal=F, width=4.4, height=7.2, reset=T)
postscript("Fig410.ps", onefile=F, print=F)
par(mfrow = c(3, 2),mar=c(3,3.5,2,1)+0.1, cex=0.4)
par(mex=0.5,csi=0.11, mgp = c(1.4, 0.6, 0))
tsplot(arch1$et[1:250], type='o', pch='*', xlab='t', main='(a) ARCH(1) time series')
hist(arch1$et, xlab='', nclass=20, probability=T, main='(b) Histogram')
m_mean(arch1$et)
v_var(arch1$et)
v_sqrt(v)
x_-1000:1000
x_x/100
y_dnorm(x,m,v)
lines(x,y)
tsplot(arch1$sigma.t[1:250], type='o', pch='*', xlab='t', main='(c) Conditional STD')
qqnorm(arch1$et, xlab='Normal quantile', ylab='ARCH quantile', main='(d) QQ-plot')
qqline(arch1$et)
acf.plot(rho, main='(e) ACF ')
acf.plot(rho2, main='(f) ACF of squared series')
dev.off()

